using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace WindowsApplication1
{
    public partial class frmCostumer : Form
    {
        public frmCostumer()
        {
            InitializeComponent();
        }

        private void grdFill()
        {
            FirstClass aa = new FirstClass();
            dataGridView1.DataSource = aa.dbOut(@"SELECT     CustomerID AS [کد مشتری], Name AS نام, Sname AS [نام خانوادگی], MelliCode AS [کد ملی], Address AS آدرس, notes AS ملاحظات FROM CustumerCode");
        }

        private void txtNullAdd()
        {
            if (textBox1.Text == "")
            {
                textBox1.Text = "Null";
            }
            if (textBox3.Text == "")
            {
                textBox3.Text = "Null";
            }
            if (textBox4.Text == "")
            {
                textBox4.Text = "Null";
            }
            if (textBox5.Text == "")
            {
                textBox5.Text = "Null";
            }
        }

        private void dbIns()
        {
            
            if (textBox2.Text == "")
            {
                MessageBox.Show("فیلد نام خانوادگی باید وارد شود");
            }
            else
            {
                txtNullAdd();
                FirstClass db = new FirstClass();
                db.cmd.Parameters.Add("@Name", SqlDbType.NVarChar).Value = textBox1.Text.Trim();
                db.cmd.Parameters.Add("@Sname", SqlDbType.NVarChar).Value = textBox2.Text.Trim();
                db.cmd.Parameters.Add("@MelliCode", SqlDbType.NVarChar).Value = textBox3.Text.Trim();
                db.cmd.Parameters.Add("@Address", SqlDbType.NVarChar).Value = textBox4.Text.Trim();
                db.cmd.Parameters.Add("@notes", SqlDbType.NVarChar).Value = textBox5.Text.Trim();

                db.exeCommand("sp_CustumerCode_Insert");
                txtClear();
                MessageBox.Show("رکورد جدید درج شد");
                grdFill();
            }
        }

        private void txtClear()
        {
            textBox1.Text = "";
            textBox2.Text = "";
            textBox3.Text = "";
            textBox4.Text = "";
            textBox5.Text = "";
        }


        private void dbEdt()
        {
            if (textBox2.Text == "")
            {
                MessageBox.Show("فیلد نام خانوادگی باید وارد شود");
            }
            else if (textBox6.Text == "")
            {
                MessageBox.Show("لطفا کد شخص را وارد نمائید");
            }
            else
            {
                txtNullAdd();
                FirstClass db = new FirstClass();
                db.cmd.Parameters.Add("@CustomerID", SqlDbType.Int).Value = int.Parse(textBox6.Text.Trim());
                db.cmd.Parameters.Add("@Name", SqlDbType.NVarChar).Value = textBox1.Text.Trim();
                db.cmd.Parameters.Add("@Sname", SqlDbType.NVarChar).Value = textBox2.Text.Trim();
                db.cmd.Parameters.Add("@MelliCode", SqlDbType.NVarChar).Value = textBox3.Text.Trim();
                db.cmd.Parameters.Add("@Address", SqlDbType.NVarChar).Value = textBox4.Text.Trim();
                db.cmd.Parameters.Add("@notes", SqlDbType.NVarChar).Value = textBox5.Text.Trim();

                db.exeCommand("sp_CustumerCode_Update");
                txtClear();
                MessageBox.Show("رکورد مورد نظر ویرایش شد");
                grdFill();
            }
        }

        private void dbDel()
        {
            if (textBox6.Text == "")
            {
                MessageBox.Show("لطفا کد شخص را وارد نمائید");
            }
            else
            {
                FirstClass db = new FirstClass();
                db.cmd.Parameters.Add("@CustomerID", SqlDbType.Int).Value = int.Parse(textBox6.Text.Trim());
                db.exeCommand("sp_CustumerCode_DeleteRow");
                txtClear();
                MessageBox.Show("رکورد مورد نظر حذف شد");
                grdFill();
            }
        }

        private void frmCostumer_Load(object sender, EventArgs e)
        {
            grdFill();
        }

        private void button2_Click(object sender, EventArgs e)
        {
            dbIns();
        }

        private void button3_Click(object sender, EventArgs e)
        {
            dbEdt();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            dbDel();
        }
    }
}